{% block communication %}
{% set hasSocials = false %}
{% if
    organization.socialNetworkParameters.facebookUrl|length or
    organization.socialNetworkParameters.twitterUrl|length or
    organization.socialNetworkParameters.instagramUrl|length
%}
{% set hasSocials = true %}
{% endif %}
    <div class="fr-container">
        <div class="fr-grid-row">
            <div class="fr-col-12 {% if hasSocials %}fr-col-md-9{% endif %}">
                <div class="fr-follow__newsletter">
                    <div class="fr-card fr-card--horizontal fr-enlarge-link">
                            <div class="fr-card__body">
                                <h5 class="fr-card__title fr-h5 fr-follow__title">
                                    <a href="{{ domain }}/contenus/{{ organization.domain }}/{{ communication.id }}">{{ communication.title }}</a>
                                </h5>
                                {% if communication.image %}
                                    <img class="domain-image fr-mb-2w fr-responsive-img" src="{{ communication.image.url }}" alt="{{ communication.title }}" title="{{ communication.title }}" />
                                {% endif %}
                                <p class="fr-card__desc fr-text--sm fr-follow__desc fr-mt-2w">{{ communication.description }}
                                </p>
                            </div>
                        </div>
                        <div class="fr-mt-3w">
                        <h6>Abonnement / D&eacute;sabonnement</h6>
                        <form id="subscriptionForm-{{ communication.id }}" method="post" action="{{ domain }}/action/subscribe"
                            class="needs-validation disabled" novalidate>
                            {% if inactive %}<fieldset disabled="disabled">{% endif %}
                                <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                                <input type="hidden" name="action-context" />
                                <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                                <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                                <input type="hidden" name="communication-id" value="{{ communication.id }}" />
                                <div id="communication-email-input">
                                    <label class="fr-label" for="communication-email">Votre adresse &eacute;lectronique (ex.
                                        :
                                        nom@domaine.fr)</label>
                                    <input type="email" class="fr-input" aria-describedby="communication-email-text"
                                        title="Votre adresse &eacute;lectronique (ex. : nom@domaine.fr)"
                                        placeholder="Votre adresse &eacute;lectronique (ex. : nom@domaine.fr)"
                                        id="communication-email" name="communication-email" />
                                    <p id="communication-email-text" class="fr-hint-text">En renseignant votre adresse
                                        &eacute;lectronique, vous acceptez de recevoir nos communications par courriel. Vous
                                        pouvez vous d&eacute;sinscrire &agrave; tout moment &agrave; l'aide des liens de
                                        d&eacute;sinscription ou en nous contactant.</p>
                                </div>
                                <div id="communication-mobile-input" class="fr-mt-2w">
                                    <label class="fr-label" for="communication-mobile">Votre num&eacute;ro de
                                        t&eacute;l&eacute;phone mobile</label>
                                    <input type="text" class="fr-input fr-col-12 fr-col-md-6"
                                        aria-describedby="communication-mobile-text"
                                        title="Votre num&eacute;ro de t&eacute;l&eacute;phone mobile"
                                        placeholder="Votre num&eacute;ro de t&eacute;l&eacute;phone mobile"
                                        id="communication-mobile" name="communication-mobile" maxlength="10" />
                                    <p id="communication-mobile-text" class="fr-hint-text">En renseignant votre
                                        num&eacute;ro de
                                        t&eacute;l&eacute;phone mobile, vous acceptez de recevoir nos communications par
                                        SMS.
                                        Vous pouvez vous d&eacute;sinscrire &agrave; tout moment &agrave; l'aide d'un retour
                                        STOP ou en nous contactant.</p>
                                </div>
                                <input type="submit" class="fr-btn fr-mt-2w" id="subscribe-button"
                                    title="S'abonner &agrave; notre communication" value="S'abonner" />
                                <input type="submit" class="fr-btn fr-mt-2w fr-ml-3w" id="unsubscribe-button-{{ communication.id }}"
                                    title="Se désabonner &agrave; notre communication" value="Se désabonner" />
                                {% if inactive %}
                            </fieldset>{% endif %}
                        </form>
                    </div>
                </div>
            </div>
            {% if hasSocials %}
            <div class="fr-col-12 fr-col-md-3">
                <div class="fr-follow__social">
                    <p class="fr-h5">Partagez cette communication
                        <br> sur les r&eacute;seaux sociaux
                    </p>
                    <ul class="fr-btns-group">
                        {% if organization.socialNetworkParameters.facebookUrl|length %}
                        <li>
                            <a class="fr-btn--facebook fr-btn"
                                href="https://www.facebook.com/sharer/sharer.php?u={{ (domain ~ '/communications/' ~ communication.id)|url_encode }}&amp;src=sdkpreparse"
                                target="_blank" title="Partager cette communication sur Facebook">
                                Facebook
                            </a>
                        </li>
                        {% endif %}
                        {% if organization.socialNetworkParameters.twitterUrl|length %}
                        <li>
                            <a class="fr-btn--twitter fr-btn" href="{{ organization.socialNetworkParameters.twitterUrl }}"
                                target="_blank" title="[À MODIFIER - Intitulé du lien] - nouvelle fenêtre">
                                Twitter
                            </a>
                        </li>
                        {% endif %}
                        {% if organization.socialNetworkParameters.instagramUrl|length %}
                        <li>
                            <a class="fr-btn--instagram fr-btn"
                                href="{{ organization.socialNetworkParameters.instagramUrl }}" target="_blank"
                                title="[À MODIFIER - Intitulé du lien] - nouvelle fenêtre">
                                Instagram
                            </a>
                        </li>
                        {% endif %}
                    </ul>
                </div>
            </div>
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block script %}
{% autoescape false %}
<script type="text/javascript">
    document.getElementById('unsubscribe-button-{{ communication.id }}').addEventListener('click', function () {
        this.form.action = '{{ domain }}/action/unsubscribe';
        this.form.submit();
    });
</script>
{% endautoescape %}
{% endblock %}
